Skip to main content
PUT
cURL
更新 views 数组中每个视图的传递配置。所有列出的视图都会收到相同的 deliverfilenametarcompressbatch_size 值,因此当您希望多个视图以相同的打包规则传递到同一目标时,请使用此端点。
要更新单个视图,请改用更新视图传递设置
deliver 对象必须与您选择的目标的获取目标类型架构返回的架构相匹配。响应返回 view_ids,即已更新的视图的完整列表。

授权

Authorization
string
header
必填

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

请求体

application/json

Delivery configuration for a dataset view. Used by the view delivery settings GET, PUT and bulk PUT endpoints.

views
string[]
必填

The list of view IDs to update.

示例:
deliver
Microsoft Azure · object

Delivery destination configuration. The type field selects the destination (for example s3, sftp, webhook) and the remaining fields depend on the destination schema returned by /datasets/delivery_settings/{destination_type}/schema.

filename
object

Configuration for the output file name and format.

flatten_csv
boolean
默认值:false

When true, nested fields are flattened for CSV output.

tar
boolean
默认值:false

When true, delivered files are bundled into a TAR archive.

compress
boolean
默认值:false

When true, delivered files are gzip compressed.

batch_size
integer

Maximum records per batch file. Use to split large deliveries into smaller files. Maximum batch size is 5GB.

示例:

1000

响应

Views updated

view_ids
string[]